Catmandu::IdGenerator::Mock(3pm)

NAME
Catmandu::IdGenerator::Mock - Generator of increasing identifiers

SYNOPSIS
    use Catmandu::IdGenerator::Mock;

    my $x = Catmandu::IdGenerator::Mock->new(first_id => 10);

    for (1..100) {
       printf "id: %s\n" m $x->generate;
    }

SEE ALSO
This Catmandu::IdGenerator generates identifiers based on the sequence of natural numbers.

CONFIGURATION

first_id
    First number to start from. Set to 0 by default (zero-based numbering).